

#ifndef USQLST_H
#define USQLST_H

// CodeBlocks seems to be platform dependent when it come to paths!
#ifdef WIN32
#include "uSQLct.h"
#include "../sqlite/sqlite3.h"
#include "uSQLsec.h"
#else
#include "uSQLite/uSQLct.h"
#include "sqlite/sqlite3.h"
#include "uSQLite/uSQLsec.h"
#endif

struct clientLL{
    struct clientLL *prev;
    uSQLct *curr;
    struct clientLL *next;
};

typedef struct{
	pLog Log;
	int servsock;
	int maxclients;
	char *dbname;
	sqlite3 *db;
	uSQLsec *sec;
    struct clientLL *Clients;
    // client params
   	int maxbuffer;
	int MaxRetRec;
	int MaxQlength;
	int MaxRepRecs;
	int uniqueCnt;

}uSQLst;

uSQLst *uSQLstInit(pLog log,char *db,char *secdb,int portnum,int maxclients,int maxbuffer,int MaxRetRec,int MaxQlength,int MaxRepRecs);
void uSQLstDestroy(uSQLst *st);
int uSQLstPoll(uSQLst *st,int SliceMs);

#endif
