VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "uSQLdataset"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim Heads() As Variant
Dim Recs() As Variant
Dim NullFields() As Variant
Dim gotOK As Boolean
Dim recount As Integer
Dim err As String
Dim qry As String
Dim idtag As Variant

Public Property Set Tag(Value As Variant)
    idtag = Value
End Property
Public Property Get Tag() As Variant
    Tag = idtag
End Property

Public Property Get query() As String
    query = qry
End Property

Public Property Let query(qq As String)
    qry = qq
End Property

Public Property Get Headers(idx As Integer) As String
    Headers = Heads(idx)
End Property
Public Property Get ChekNull(col, row) As Boolean
    ChekNull = NullFields(col, row)
End Property


Public Property Get Fields(col, row) As String
    Fields = Recs(col, row)
End Property

Public Property Get RecordCount() As Integer
    RecordCount = recount
End Property

Public Property Get Completed() As Boolean
    Completed = gotOK
End Property

Public Property Let Error(Error As String)
    err = Error
End Property
Public Property Let Completed(ok As Boolean)
    gotOK = ok
End Property

Public Property Get Error() As String
    Error = err
End Property
Public Property Get ColCount() As Integer
    ColCount = UBound(Heads)
End Property

Public Sub SetHeader(num As Integer, dat As String)
    If num = 1 Then ResetData
    ReDim Preserve Heads(0 To UBound(Heads) + 1)
    Heads(UBound(Heads)) = dat
End Sub

Public Sub SetField(col As Integer, dat As String, Optional NullField As Boolean = False)
    
    If col = 1 Then recount = recount + 1
    If recount = 1 And col = 1 Then
        ReDim Recs(1 To UBound(Heads), 0 To 1)
        ReDim NullFields(1 To UBound(Heads), 0 To 1)
    Else
        ReDim Preserve Recs(1 To UBound(Heads), 0 To recount)
        ReDim Preserve NullFields(1 To UBound(Heads), 0 To recount)
    End If
    Recs(col, recount) = dat
    If NullField = True Then NullFields(col, recount) = dat
End Sub

Public Sub ResetData()
    ReDim Heads(0 To 0)
    gotOK = False
    recount = 0
    err = ""
End Sub


