/* Client object for uSQL */

#ifndef USQLCT_H
#define USQLCT_H

#include "uSQLsec.h"
#include "Chunk.h"
#include "chink.h"

typedef struct{
	uSQLsec *sec;
//	uSQLst *parent;
	int uselevel;
	char RemIp[32];
	sqlite3 *db;
	int status;
	Chunk *chBuff;
	int netsec;
	char user[33];
	char pass[33];
	int Human;
	int RecNum;
	int socknum;
	int maxbuffer;
	int MaxRetRec;
	int MaxQlength;
	int MaxRepRecs;
	Chink *qbuf;
	Chink *CBop;
	char tr;
	int uniqueID;
}uSQLct;

uSQLct *uSQLctInit(sqlite3 *db,int unqID,int sock,uSQLsec *sec,int netlevel,int maxbuffer,int MaxRetRec,int MaxQlength,int MaxRepRecs);
void uSQLctDestroy(uSQLct *ct);
int uSQLctPoll(uSQLct *ct);
void uSQLctPut(uSQLct *ct,char *txt,int len);
int uSQLctVer(uSQLct *ct);

int callback(void *ct, int argc, char **argv, char **ColName);

#endif


