

#ifndef USQL_SEC
#define USQL_SEC

#include "../sqlite/sqlite3.h"


enum uSQLsecLEVELS{
	uSQLsecNone=0,
	uSQLsecSelectOnly=1,
	uSQLsecUpdateInsert=2,
	uSQLsecSelectUpdateInsert=3,
	uSQLsecAll=4
};
	
	
typedef struct{
	sqlite3 *db;
}uSQLsec;

// returns null if error opening sec db
uSQLsec *uSQLsecOpen(char *secdb);
int uSQLsecGetNetLevel(uSQLsec *sec,char *ip);
int uSQLsecGetUserLevel(uSQLsec *sec,char *user,char *pass);
unsigned int uSQLsecIP2int(char *ip);
int uSQLsecNewPass(uSQLsec *sec,char *user,char *newpass,char *oldpass);
void uSQLsecDoSHA2(char *res, char *d1,char *d2, char *d3);
void uSQLsecDestroy(uSQLsec *sec);
#endif
